function onBegin()
  if not (getFlag("gate_flag")) then
    disableMovement()
    disableRetry()
    wait(1)
    run(-48)
    wait(1)
    run(34)
    say("ssc2024_xolimono_intro")
    setFlag("gate_flag", true)
  end
end

function onEnd()
  setFlag("gate_flag", true)
  enableMovement()
  enableRetry()
end